tt_pattern_callback_add(library call)

NAME
tt_pattern_callback_add — register a message-matching callback function

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_callback_add(
Tt_pattern m,
Tt_message_callback f);

DESCRIPTION

The tt_pattern_callback_add function registers a callback function that will be automatically invoked by tt_message_receive(3) whenever a message matches the pattern.

The callback is defined in Tt/tt_c.h - Tttt_c(5). If the callback returns TT_CALLBACK_CONTINUE, other callbacks will be run; if no callback returns TT_CALLBACK_PROCESSED, tt_message_receive(3) returns the message. If the callback returns TT_CALLBACK_PROCESSED, no further callbacks will be invoked for this event; tt_message_receive(3) does not return the message.

The m argument is the opaque handle for the pattern involved in this operation.

The f argument is the message callback to be run.

RETURN VALUE

Upon successful completion, the tt_pattern_callback_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_register(3), tt_message_receive(3).